<?php
//OS:mFusionME
//version:4.01.24
//type:CORE
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
include LOCALE.LOCALESET."forum/post.php";
require_once INCLUDES."forum_functions_include.php";

if (!FUSION_QUERY || !isset($forum_id) || !isNum($forum_id)) fallback("index.php");

$result = dbquery("SELECT * FROM ".$db_prefix."forums WHERE forum_id='".$forum_id."'");
if (dbrows($result)) {
	$fdata = dbarray($result);
	if (!checkgroup($fdata['forum_access']) || !$fdata['forum_cat']) fallback("index.php");
} else {
	fallback("index.php");
}
if (!checkgroup($fdata['forum_posting'])) fallback("index.php");

if (FORUM_TINYMCE_SIMPLE) {
   echo "<script type='text/javascript'>simple();</script>\n";
} else if (FORUM_TINYMCE_ADVANCED) {
   echo "<script type='text/javascript'>advanced();</script>\n";
}

$forum_mods = explode(".", $fdata['forum_moderators']);
$user_groups = explode(".", $userdata['user_groups']);
$forum_mods_group = false;
for ($i=0;$i<count($user_groups);$i++) {
	if (in_array("G".$user_groups[$i], $forum_mods)) $forum_mods_group = true;
}

if (iMEMBER && (in_array($userdata['user_id'], $forum_mods) || $forum_mods_group)) {
	define("iMOD", true);
} else {
	define("iMOD", false);
}

$fcdata = dbarray(dbquery("SELECT * FROM ".$db_prefix."forums WHERE forum_id='".$fdata['forum_cat']."'"));

$caption = $fcdata['forum_name']." | ".$fdata['forum_name'];

if ($action == "newthread") {
	include "postnewthread.php";
} elseif ($action == "reply") {
	if (!isset($thread_id) || !isNum($thread_id)) fallback("index.php");

	$result = dbquery("SELECT * FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."' AND forum_id='".$fdata['forum_id']."'");
	if (dbrows($result)) { $tdata = dbarray($result); } else { fallback("index.php"); }
	
	if (!$tdata['thread_locked']) { include "postreply.php"; } else { fallback("index.php"); }
} elseif ($action == "edit") {
	if (!isset($thread_id) || !isNum($thread_id) || !isset($post_id) || !isNum($post_id)) { fallback("index.php"); exit; }

	$result = dbquery("SELECT * FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."' AND forum_id='".$fdata['forum_id']."'");
	if (dbrows($result)) { $tdata = dbarray($result); } else { fallback("index.php"); }

	$result = dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id='".$post_id."' AND thread_id='".$tdata['thread_id']."' AND forum_id='".$fdata['forum_id']."'");
	if (dbrows($result)) { $pdata = dbarray($result); } else { fallback("index.php"); }
	
	if ($userdata['user_id'] != $pdata['post_author'] && !iMOD && !iSUPERADMIN) fallback("index.php");
	
	if (!$tdata['thread_locked']) {
		include "postedit.php";
	} else {
		if (iMOD || iSUPERADMIN) { include "postedit.php"; } else { fallback("index.php"); }
	}
} else {
	header("Location: index.php");
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>