<?php
//OS:mFusionME
//version:4.02
//type:CORE
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../maincore.php";
require_once INCLUDES."forum_functions_include.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
include LOCALE.LOCALESET."forum/main.php";
include INCLUDES."flood_control_include.php";

$posts_per_page = 20;
if (file_exists(THEME."forum/".LANGUAGE."/newthread.gif")) {
	define("FORUM_IMAGES", THEME."forum/".LANGUAGE."/");
} else {	
	define("FORUM_IMAGES", THEME."forum/");
}

if (!FUSION_QUERY || !isset($forum_id) || !isNum($forum_id) || !isset($thread_id) || !isNum($thread_id)) fallback("index.php");

$result = dbquery(
	"SELECT f.*, f2.forum_name AS forum_cat_name, f2.forum_image AS forum_cat_image
	FROM ".$db_prefix."forums f
	LEFT JOIN ".$db_prefix."forums f2 ON f.forum_cat=f2.forum_id
	WHERE f.forum_id='".$forum_id."'"
);
if (dbrows($result)) {
	$fdata = dbarray($result);
	if (!checkgroup($fdata['forum_access']) || !$fdata['forum_cat']) fallback("index.php");
} else {
   fallback("index.php");
}
$can_post = checkgroup($fdata['forum_posting']);

if (FORUM_TINYMCE_SIMPLE) {
   echo "<script type='text/javascript'>simple();</script>\n";
} else if (FORUM_TINYMCE_ADVANCED) {
   echo "<script type='text/javascript'>advanced();</script>\n";
}

$forum_mods = explode(".", $fdata['forum_moderators']);
$user_groups = explode(".", $userdata['user_groups']);
$forum_mods_group = false;
for ($i=0;$i<count($user_groups);$i++) {
	if (in_array("G".$user_groups[$i], $forum_mods)) $forum_mods_group = true;
}

if (iMEMBER && (in_array($userdata['user_id'], $forum_mods) || $forum_mods_group)) {
	define("iMOD", true);
} else {
	define("iMOD", false);
}

//delete posts
if (isset($_POST['deleteselected']) && (iMOD || iSUPERADMIN)) {
	unset ($data);
	$data = dbarray(dbquery("SELECT post_id, post_datestamp, post_author FROM ".DB_PREFIX."posts WHERE forum_id='".$forum_id."' AND thread_id='".$thread_id."' ORDER BY post_id DESC LIMIT 1"));
	$last_post = $data['post_id'];
	$last_deleted = false;
	for ($i=0;$i<sizeof($_POST['delete_post']);$i++) {
      $delpostid = $_POST['delete_post'][$i];
	   $result = dbquery("SELECT attach_name FROM ".$db_prefix."forum_attachments WHERE thread_id='".$thread_id."' AND post_id='".$delpostid."'");
	   if (dbrows($result)) {
	   	$data = dbarray($result);
			unlink(FORUM."attachments/".$data['attach_name']);
		   $result = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE thread_id='".$thread_id."' AND post_id='".$delpostid."'");
	   }
	   if ($delpostid==$last_post) $last_deleted = true;
	   $result = dbquery("DELETE FROM ".$db_prefix."posts WHERE forum_id='".$forum_id."' AND thread_id='".$thread_id."' AND post_id='".$delpostid."'");
	}
	
	$postscount = dbcount("(post_id)", "posts", "forum_id='".$forum_id."' AND thread_id='".$thread_id."'");
	
	if ($postscount==0) {
		$result = dbquery("DELETE FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."'");
		$result = dbquery("DELETE FROM ".$db_prefix."posts_alert WHERE thread_id='".$thread_id."'");
		redirect("viewforum.php?forum_id=".$forum_id."&delstatus=noposts");
		exit;
	} else {
		if ($last_deleted) {
         $data = dbarray(dbquery("SELECT post_id, post_datestamp, post_author FROM ".DB_PREFIX."posts WHERE forum_id='".$forum_id."' AND thread_id='".$thread_id."' ORDER BY post_id DESC LIMIT 1"));
         $last_datestamp = $data['post_datestamp'];
         $last_author = $data['post_author'];
         $result = dbquery("UPDATE ".$db_prefix."forums SET forum_lastpost='".$last_datestamp."', forum_lastuser='".$last_author."' WHERE forum_id='".$forum_id."'");
         $result = dbquery("UPDATE ".$db_prefix."threads SET thread_lastpost='".$last_datestamp."', thread_lastuser='".$last_author."' WHERE thread_id='".$thread_id."'");
		}
		opentable($locale['607']);
	  		echo "<center>".$locale['604']."</center>";
		closetable();
		tablebreak();
	}
}

if (isset($deletepost) && isNum($deletepost) && (iMOD || iSUPERADMIN || iMEMBER)) {
	unset ($data);
	$data = dbarray(dbquery("SELECT post_id, post_datestamp, post_author FROM ".DB_PREFIX."posts WHERE forum_id='".$forum_id."' AND thread_id='".$thread_id."' ORDER BY post_id DESC LIMIT 1"));
	$last_post = $data['post_id'];
   if ($deletepost==$last_post) $last_deleted = true;
	if (iMEMBER && !iMOD && !iSUPERADMIN) {
		$count = dbcount("(*)", "posts", "forum_id='".$forum_id."' AND thread_id='".$thread_id."' AND post_id='".$deletepost."' AND post_author='".$userdata['user_id']."'");
	} else {
		$count = 1;
	}
   if ($count!=0) {
	   $result = dbquery("SELECT attach_name FROM ".$db_prefix."forum_attachments WHERE thread_id='".$thread_id."' AND post_id='".$deletepost."'");
	   if (dbrows($result)) {
	      $data = dbarray($result);
	      unlink(FORUM."attachments/".$data['attach_name']);
	      $result = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE thread_id='".$thread_id."' AND post_id='".$deletepost."'");
	   }
	   $result = dbquery("DELETE FROM ".$db_prefix."posts WHERE forum_id='".$forum_id."' AND thread_id='".$thread_id."' AND post_id='".$deletepost."'");
	   
	   $postscount = dbcount("(post_id)", "posts", "forum_id='".$forum_id."' AND thread_id='".$thread_id."'");
	   
	   if ($postscount==0) {
	      $result = dbquery("DELETE FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."'");
	      $result = dbquery("DELETE FROM ".$db_prefix."posts_alert WHERE thread_id='".$thread_id."'");    
	      redirect("viewforum.php?forum_id=".$forum_id."&delstatus=noposts");
	      exit;
	   } else {
	      if ($last_deleted) {
				$data = dbarray(dbquery("SELECT post_id, post_datestamp, post_author FROM ".DB_PREFIX."posts WHERE forum_id='".$forum_id."' AND thread_id='".$thread_id."' ORDER BY post_id DESC LIMIT 1"));
	         $last_datestamp = $data['post_datestamp'];
	         $last_author = $data['post_author'];
	         $result = dbquery("UPDATE ".$db_prefix."forums SET forum_lastpost='".$last_datestamp."', forum_lastuser='".$last_author."' WHERE forum_id='".$forum_id."'");
	         $result = dbquery("UPDATE ".$db_prefix."threads SET thread_lastpost='".$last_datestamp."', thread_lastuser='".$last_author."' WHERE thread_id='".$thread_id."'");
	      }
	      opentable($locale['607']);
	         echo "<center>".$locale['604']."</center>";
	      closetable();
	      tablebreak();
	   }
	}
}
//delete posts

$result = dbquery("SELECT * FROM ".$db_prefix."threads WHERE thread_id='".$thread_id."' AND forum_id='".$fdata['forum_id']."'");
if (dbrows($result)) { $tdata = dbarray($result); } else { fallback("index.php"); }

$caption = $fdata['forum_cat_name']." | <a href='viewforum.php?forum_id=".$fdata['forum_id']."'>".$fdata['forum_name']."</a>";
$result = dbquery("UPDATE ".$db_prefix."threads SET thread_views=thread_views+1 WHERE thread_id='$thread_id'");

if (iMEMBER && $can_post && isset($_POST['postquickreply'])) {
	if (FORUM_TINYMCE_SIMPLE || FORUM_TINYMCE_ADVANCED) {
		$message = trim(censorwords($_POST['message']));
	} else {
		$message = trim(stripinput(censorwords($_POST['message'])));
	}
	if ($message != "") {
		if (!flood_control("post_datestamp", "posts", "post_author=".$userdata['user_id'])) {
	      $sig = ($userdata['user_sig'] ? '1' :'0');
	      $smileys = isset($_POST['disable_smileys']) ? "0" : "1";
	      $subject = "RE: ".$tdata['thread_subject'];
         //if last post becomes to the same user, just join messages
         $result = dbquery("SELECT * FROM ".$db_prefix."posts WHERE forum_id='$forum_id' AND thread_id='$thread_id' ORDER BY post_id DESC LIMIT 1");
         $rows = dbrows($result);
         if ($rows) {
            $data = dbarray($result);
            $same_message = $data['post_message'].'\n\n'.$message;
            if ($data['post_author']==$userdata['user_id']) {
               $same_user = true;
            } else {
               $same_user = false;
            }
         } else {
            $same_user = false;
         }
         
         if ($same_user) {
            $result = dbquery("UPDATE ".$db_prefix."posts SET post_subject='$subject', post_message='$same_message', post_showsig='$sig', post_smileys='$smileys', post_edituser='".$userdata['user_id']."', post_edittime='".time()."' WHERE post_id='".$data['post_id']."'");
            $newpost_id = $data['post_id'];
         } else {
	         $result = dbquery("UPDATE ".$db_prefix."forums SET forum_lastpost='".time()."', forum_lastuser='".$userdata['user_id']."' WHERE forum_id='$forum_id'");
	         $result = dbquery("UPDATE ".$db_prefix."threads SET thread_lastpost='".time()."', thread_lastuser='".$userdata['user_id']."' WHERE thread_id='$thread_id'");
	         $result = dbquery("INSERT INTO ".$db_prefix."posts (forum_id, thread_id, post_subject, post_message, post_showsig, post_smileys, post_author, post_datestamp, post_ip, post_edituser, post_edittime) VALUES ('$forum_id', '$thread_id', '$subject', '$message', '$sig', '$smileys', '".$userdata['user_id']."', '".time()."', '".USER_IP."', '0', '0')");
	         $newpost_id = mysql_insert_id();
	         $result = dbquery("UPDATE ".$db_prefix."users SET user_posts=user_posts+1 WHERE user_id='".$userdata['user_id']."'");
			}
			if ($settings['thread_notify']) require INCLUDES."posts_alert_include.php"; //Email notification
			redirect("postify.php?post=reply&error=0&forum_id=$forum_id&thread_id=$thread_id&post_id=$newpost_id");		
		}
	}
}

if (isset($alert)) {
   include LOCALE.LOCALESET."forum/post.php";
   opentable($locale['451']);
	if (isset($alert) && $alert=="on") {
		echo "<center>".$locale['452']."</center>";
	} else if (isset($alert) && $alert=="off") {
		echo "<center>".$locale['453']."</center>";
	}
   closetable();
   include LOCALE.LOCALESET."forum/main.php";
}

opentable($locale['500']);

$rows = dbrows(dbquery("SELECT * FROM ".$db_prefix."posts WHERE thread_id='$thread_id'"));

if (isset($pid) && isNum($pid)) {
	$reply_count = dbcount("(post_id)", "posts", "thread_id='".$tdata['thread_id']."' AND post_id<='".$pid."'");
	if ($reply_count > $posts_per_page) $rowstart = ((ceil($reply_count / $posts_per_page)-1)*$posts_per_page);
}

if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

echo "<table cellpadding='0' cellspacing='0' width='100%'>
<tr>
<td colspan='2' class='tbl2'>".($fdata['forum_cat_image']!=""?"<img src='".IMAGES_FC.$fdata['forum_cat_image']."' style='vertical-align:middle;padding:5px 5px 5px 5px;border:none' alt='".$fdata['forum_name']."'> ":"")."<a href='index.php'>".$settings['sitename']."</a> | $caption</td></tr>\n";
echo "<tr><td align='left'>";

if ($rows > $posts_per_page) {
	echo "<div align='left' style='margin-top:5px;margin-bottom:5px;'>
".makePageNav($rowstart,$posts_per_page,$rows,3,FUSION_SELF."?forum_id=$forum_id&amp;thread_id=$thread_id&amp;")."
</div>\n";
} else {
	echo "&nbsp;";
}

echo "</td>\n";
if (iMEMBER && $can_post) {
	echo "<td align='right'>\n";
	if (!$tdata['thread_locked']) { 
		if ($settings['thread_notify'] && !isset($_POST['postquickreply'])) require INCLUDES."posts_alert_include.php";  //Email notification
		echo " <a href='post.php?action=reply&amp;forum_id=$forum_id&amp;thread_id=$thread_id'><img src='".FORUM_IMAGES."reply.gif' alt='".$locale['565']."' style='border:0px;'></a>\n";
	}
	echo "<a href='post.php?action=newthread&amp;forum_id=$forum_id'><img src='".FORUM_IMAGES."newthread.gif' alt='".$locale['566']."' style='border:0px;'></a></td>\n";
}
echo "</tr>
</table>\n";

//multidelete posts
if (iMOD || iSUPERADMIN) {
	echo "<form name='deletethreadposts' method='post' action='".FUSION_SELF."?forum_id=".$forum_id."&amp;thread_id=".$thread_id."&amp;rowstart=".$rowstart."' onSubmit=\"return DeletePosts();\">\n";
   echo "<script type='text/javascript'>
   function DeletePosts() {
      return confirm('".$locale['605']."');
   }
   function DeletePost() {
      return confirm('".$locale['606']."');
   }
   
   function setChecked(frmName,chkName){
		dml=document.forms[frmName];
		len=dml.elements.length;

		if (document.forms[frmName].selectall1.value == '".$locale['608']."') {
	      for(i=0;i<len;i++){
	         if(dml.elements[i].name == chkName){
	            dml.elements[i].checked = 1;
	         }
	      }
	   	var sel = 1;
	   }

      if (document.forms[frmName].selectall2.value == '".$locale['608']."') {
	      for(i=0;i<len;i++){
	         if(dml.elements[i].name == chkName){
	            dml.elements[i].checked = 1;
	         }
	      }
	   	var sel = 1;
	   }
 
		if (document.forms[frmName].selectall1.value == '".$locale['609']."') {
	      for(i=0;i<len;i++){
	         if(dml.elements[i].name == chkName){
	            dml.elements[i].checked = 0;
	         }
	      }
	   	var sel = 0;
	   }

		if (document.forms[frmName].selectall2.value == '".$locale['609']."') {
	      for(i=0;i<len;i++){
	         if(dml.elements[i].name == chkName){
	            dml.elements[i].checked = 0;
	         }
	      }
	   	var sel = 0;
	   }
	   
	   if (sel == 1) {
	      document.forms[frmName].selectall1.value = '".$locale['609']."';
	      document.forms[frmName].selectall2.value = '".$locale['609']."';
	   } else if (sel == 0) {
      	document.forms[frmName].selectall1.value = '".$locale['608']."';
      	document.forms[frmName].selectall2.value = '".$locale['608']."';
      }
	}
   </script>\n";
}
//multidelete posts

echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";

if ($rows != 0) {
   if (iMOD || iSUPERADMIN) {
      echo "<tr><td colspan='2' class='tbl2' align='right'>
      <input type='button' name='selectall1' value='".$locale['608']."' class='button' onClick=\"setChecked('deletethreadposts','delete_post[]');\">
      <input type='submit' name='deleteselected' value='".$locale['600']."' class='button'>
      </td></tr>";
   }
	$result = dbquery(
	   "SELECT p.*, fa.attach_id, fa.attach_name, fa.attach_ext, fa.attach_size, ft.thread_sticky, u.*, u2.user_name AS edit_name FROM ".$db_prefix."posts p
	   LEFT JOIN ".$db_prefix."forum_attachments fa USING(post_id)
	   LEFT JOIN ".$db_prefix."threads ft ON p.thread_id = ft.thread_id
	   LEFT JOIN ".$db_prefix."users u ON p.post_author = u.user_id
	   LEFT JOIN ".$db_prefix."users u2 ON p.post_edituser = u2.user_id AND post_edituser > '0'
	   WHERE p.thread_id='$thread_id' ORDER BY post_datestamp LIMIT $rowstart,$posts_per_page"
	);
	$numrows = dbrows($result);
	$parent_post_id = 0;
	while ($data = dbarray($result)) {
		$message = $data['post_message'];
		if ($data['post_showsig']) { $message = $message."\n\n<hr>".$data['user_sig']; }
		if ($data['post_smileys']) { $message = parsesmileys($message); }
		$message = parseubb($message);
		$message = nl2br($message);
		if ($data['post_edittime'] != "0") {
			$edituser = "<a href='../profile.php?lookup=".$data['post_edituser']."'>".$data['edit_name']."</a>";
			$edittime = showdate("forumdate", $data['post_edittime']);
		}
	   unset($user_groups);
	   $user_groups = explode(".", $data['user_groups']);
	   $forum_mods_group = false;
	   for ($i=0;$i<count($user_groups);$i++) {
	      if (in_array("G".$user_groups[$i], $forum_mods)) $forum_mods_group = true;
	   }
		$is_mod = (in_array($data['user_id'], $forum_mods) || $forum_mods_group) && $data['user_level'] < "102" ? true : false;
		echo "<tr>
<td width='145' class='tbl2'>".$locale['501']."</td>
<td class='tbl2'>
<table width='100%' cellpadding='0' cellspacing='0'>
<tr>
<td align='left'><a name='post_".$data['post_id']."' id='post_".$data['post_id']."'></a>".($data['thread_sticky']==2?"<b>".$locale['449']."</b> ":"").$data['post_subject']."</td>
<td width='40%' align='right'>\n";
	if ($userdata['user_id'] == $data['post_author'] || iMOD || iSUPERADMIN) {
	   if (iMOD || iSUPERADMIN) {
	   	echo "<input class='button' type='checkbox' name='delete_post[]' value='".$data['post_id']."' title='".$locale['602']."'>&nbsp;";
	   }
	   echo "<a href='viewthread.php?forum_id=$forum_id&amp;thread_id=".$data['thread_id']."&amp;pid=".$data['post_id']."&amp;deletepost=".$data['post_id'].($parent_post_id!=0?"#post_".$parent_post_id:"")."' onClick=\"return DeletePost();\"><img src='".(file_exists(FORUM_IMAGES."delete.gif")?FORUM_IMAGES."delete.gif":IMAGES."expand/delete.gif")."' alt='".$locale['601']."' style='border:0px;'></a>\n";
	   $parent_post_id = $data['post_id'];
	} else {
		echo "&nbsp;";
	}
echo "\n</td></tr>
</table>
</td>
</tr>
<tr>
<td valign='top' rowspan='2' width='145' class='tbl1'>
<a href='../profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br>
<span class='alt'>".($is_mod ? $locale['userf1'] : getuserlevel($data['user_level']))."</span><br><br>\n";
		if ($data['user_avatar'] != "") {
			echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='".$locale['567']."'><br><br>\n";
			$height = "185";
		} else {
			$height = "70";
		}
		echo "<span class='alt'>".$locale['502']."</span> ".$data['user_posts']."<br>\n";
		if ($data['user_location']) echo "<span class='alt'>".$locale['503']."</span> ".$data['user_location']."<br>\n";
		echo "<span class='alt'>".$locale['504']."</span> ".showdate("%d.%m.%y", $data['user_joined'])."</td>
<td>
<table cellspacing='0' cellpadding='0' width='100%'>
<tr>
<td class='tbl1'>".$locale['505'].showdate("forumdate", $data['post_datestamp'])."</td>
<td align='right' class='tbl1'>\n";
		if (iMEMBER && $can_post) {
			if (!$tdata['thread_locked']) {
				if ($userdata['user_id'] == $data['post_author'] || iMOD || iSUPERADMIN) {
					echo "<a href='post.php?action=edit&amp;forum_id=$forum_id&amp;thread_id=".$data['thread_id']."&amp;post_id=".$data['post_id']."'><img src='".FORUM_IMAGES."edit.gif' alt='".$locale['568']."' style='border:0px;'></a>\n";
				}
				echo "<a href='post.php?action=reply&amp;forum_id=$forum_id&amp;thread_id=".$data['thread_id']."&amp;post_id=".$data['post_id']."&amp;quote=".$data['post_id']."'><img src='".FORUM_IMAGES."quote.gif' alt='".$locale['569']."' style='border:0px;'></a>\n";
				if (iMOD || iSUPERADMIN && $data['post_ip'] != "0.0.0.0" && file_exists(FORUM_IMAGES."ip.gif")) echo "<img src='".FORUM_IMAGES."ip.gif' alt='".$locale['570']."' title='".$data['post_ip']."' style='border:0px;'>\n";
			} else {
				if (iMOD || iSUPERADMIN) {
					echo "<a href='post.php?action=edit&amp;forum_id=$forum_id&amp;thread_id=".$data['thread_id']."&amp;post_id=".$data['post_id']."'><img src='".FORUM_IMAGES."edit.gif' alt='".$locale['568']."' style='border:0px;'></a>\n";
					if ($data['post_ip'] != "0.0.0.0" && file_exists(FORUM_IMAGES."ip.gif")) echo "<img src='".FORUM_IMAGES."ip.gif' alt='".$locale['570']."' title='".$data['post_ip']."' style='border:0px;'>\n";
				}
			}
		}
		echo "</td>
</tr>
</table>
</td>
</tr>
<tr>
<td valign='top' height='$height' class='tbl1'>
$message";
	   if ($data['attach_id']) {
	      if (in_array($data['attach_ext'], $imagetypes)) {
				$img = (substr($settings['siteurl'],-1)=="/"?$settings['siteurl']:$settings['siteurl']."/")."forum/attachments/".$data['attach_name'];
	         $res = parseubb("[img]".$img."[/img]");
            echo "<hr>\n".$data['user_name'].$locale['506']."<br><br>\n".$res;
	      } else {
	         echo "<hr>\n".$data['user_name'].$locale['507']."<br>\n<a href='".FUSION_SELF."?forum_id=$forum_id&amp;thread_id=$thread_id&amp;getfile=".$data['post_id']."'>".$data['attach_name']."</a>";
	      }
	   }
		if ($data['post_edittime'] != "0") {
			echo "<br><br>";
			echo "<hr>\n".$locale['508']."$edituser".$locale['509']."$edittime";
		}
echo "</td>
</tr>
<tr>
<td class='tbl1' align='center'><a href='#top'>".$locale['610']."</a></td>
<td class='tbl1'>\n";
		if ($data['user_aim'] && file_exists(THEME."forum/aim.gif")) {
			echo "<a href='aim:goim?screenname=".str_replace(" ", "+", $data['user_aim'])."' target='_blank'><img src='".FORUM_IMAGES."aim.gif' alt='".$data['user_aim']."' style='border:0px;'></a> ";
		}
		if ($data['user_icq']) {
			echo "<a href='http://www.icq.com/people/about_me.php?uin=".$data['user_icq']."' target='_blank'><img src='".FORUM_IMAGES."icq.gif' alt='".$data['user_icq']."' style='border:0px;'></a> ";
		}
		if ($data['user_msn']) {
			echo "<a href='mailto:$data[user_msn]'><img src='".FORUM_IMAGES."msn.gif' alt='".$data['user_msn']."' style='border:0px;'></a> ";
		}
		if ($data['user_yahoo']) {
			echo "<a href='http://uk.profiles.yahoo.com/$data[user_yahoo]' target='_blank'><img src='".FORUM_IMAGES."yahoo.gif' alt='".$data['user_yahoo']."' style='border:0px;'></a> ";
		}
		if ($data['user_web']) {
			if (!strstr($data['user_web'], "http://")) { $urlprefix = "http://"; } else { $urlprefix = ""; }
			echo "<a href='".$urlprefix."".$data['user_web']."' target='_blank'><img src='".FORUM_IMAGES."web.gif' alt='".$data['user_web']."' style='border:0px;'></a> ";
		}
		echo "<a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."'><img src='".FORUM_IMAGES."pm.gif' alt='".$locale['571']."' style='border:0px;'></a>
</td>
</tr>\n";
	}
}
if (iMOD || iSUPERADMIN) {
	echo "<tr><td colspan='2' class='tbl2' align='right'>
   <input type='button' name='selectall2' value='".$locale['608']."' class='button' onClick=\"setChecked('deletethreadposts','delete_post[]');\">
   <input type='submit' name='deleteselected' value='".$locale['600']."' class='button'>
   </td></tr>";
}
echo "</table>\n";
//multidelete posts
if (iMOD || iSUPERADMIN) {
	echo "</form>\n";
}
//multidelete posts

if ($rows > $posts_per_page) {
	echo "<div align='center' style='margin-top:5px;'>
".makePageNav($rowstart,$posts_per_page,$rows,3,FUSION_SELF."?forum_id=$forum_id&amp;thread_id=$thread_id&amp;")."
</div>\n";
}

echo "<table cellpadding='0' cellspacing='0' width='100%' style='margin-top:5px;'>\n<tr>\n";

	$forum_list = ""; $current_cat = "";
	$result = dbquery(
	   "SELECT f.forum_id, f.forum_name, f2.forum_name AS forum_cat_name
	   FROM ".$db_prefix."forums f
	   INNER JOIN ".$db_prefix."forums f2 ON f.forum_cat=f2.forum_id
	   WHERE ".groupaccess('f.forum_access').(multilang_table("F")?" AND f.forum_language='".LANGUAGE."'":"")." AND f.forum_cat!='0' ORDER BY f2.forum_order ASC, f.forum_order ASC"
	);
	while ($data = dbarray($result)) {
	   if ($data['forum_cat_name'] != $current_cat) {
	      if ($current_cat != "") $forum_list .= "</optgroup>\n";
	      $current_cat = $data['forum_cat_name'];
	      $forum_list .= "<optgroup label='".$data['forum_cat_name']."'>\n";
	   }
	   $sel = ($data['forum_id'] == $fdata['forum_id'] ? " selected" : "");
	   $forum_list .= "<option value='".$data['forum_id']."'$sel>".$data['forum_name']."</option>\n";
	}
	$forum_list .= "</optgroup>\n";

echo "<td align='left' class='tbl'>".$locale['540']."<br>
<select name='jump_id' class='textbox' onChange=\"jumpForum(this.options[this.selectedIndex].value);\">
$forum_list</select></td>\n";

if (iMEMBER && $can_post) {
	if (iMOD || iSUPERADMIN) {
		echo "<td align='right' class='tbl'>
<form name='modopts' method='post' action='options.php?forum_id=$forum_id&amp;thread_id=$thread_id'>
".$locale['520']."<br>
<select name='step' class='textbox'>
<option value='none'>&nbsp;</option>
<option value='renew'>".$locale['527']."</option>
<option value='delete'>".$locale['521']."</option>\n";
		if (!$tdata['thread_locked']) { 
			echo "<option value='lock'>".$locale['522']."</option>\n";
		} else {
			echo "<option value='unlock'>".$locale['523']."</option>\n";
		}
		if (!$tdata['thread_sticky']) {
			echo "<option value='sticky'>".$locale['524']."</option>\n";
		} else {
			echo "<option value='nonsticky'>".$locale['525']."</option>\n";
		}
		echo "<option value='move'>".$locale['526']."</option>\n";
		echo "</select>
<input type='submit' name='go' value='".$locale['528']."' class='button'>
</form>
</td>
</tr>\n";
	}
}
echo "</table>\n";
echo "<table width='100%'><tr><td width='10%' align='left'><a href='#top'>".$locale['610']."</a></td>\n";
if (iMEMBER && $can_post) {
	echo "<td align='right' style='margin-top:5px;'>\n";
	if (!$tdata['thread_locked']) { 
		if ($settings['thread_notify'] && !isset($_POST['postquickreply'])) require INCLUDES."posts_alert_include.php"; //Email notification
		echo " <a href='post.php?action=reply&amp;forum_id=$forum_id&amp;thread_id=$thread_id'><img src='".FORUM_IMAGES."reply.gif' alt='".$locale['565']."' style='border:0px;'></a>";
	}
	echo "&nbsp;<a href='post.php?action=newthread&amp;forum_id=$forum_id'><img src='".FORUM_IMAGES."newthread.gif' alt='".$locale['566']."' style='border:0px;'></a>
</td>\n";
}
echo "</tr></table>\n";

closetable();
tablebreak();

if (iMEMBER && $can_post && !$tdata['thread_locked']) {
	opentable($locale['512']);
	echo "<form name='inputform' method='post' action='".FUSION_SELF."?forum_id=$forum_id&amp;thread_id=$thread_id'>
<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td align='center' class='tbl1'><textarea name='message' cols='80' rows='7' class='textbox'></textarea><br>";
if (!FORUM_TINYMCE_SIMPLE && !FORUM_TINYMCE_ADVANCED) {
	include_once INCLUDES."bbcodes_buttons_include.php";
	echo display_bbcodes("message");
}
echo "
</td>
</tr>
<tr>
<td align='center' class='tbl2'>
<input type='checkbox' name='disable_smileys' value='1'>".$locale['513']."</td>
</tr>
<tr>
<td align='center' class='tbl1'><input type='submit' name='postquickreply' value='".$locale['514']."' class='button' onClick=\"this.style.visibility = 'hidden'\"></td>
</tr>
</table>
</form>\n";
	closetable();
}

echo "<script type='text/javascript'>
function jumpForum(forumid) {
	document.location.href='".FORUM."viewforum.php?forum_id='+forumid;
}
</script>\n";

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>